## asahi-scripts 20230821

=== debian/changelog ===
asahi-scripts (20230821-3) unstable; urgency=medium

  * Team upload.
  * Use debian u-boot apple_m1 path in update-m1n1

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 28 Jan 2024 18:52:41 +0100

asahi-scripts (20230821-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Nov 2023 09:02:38 +0100

asahi-scripts (20230821-1) experimental; urgency=medium

  * Initial release. (Closes: #1050810)

 -- Tobias Heider <me@tobhe.de>  Tue, 14 Nov 2023 14:25:32 +0100

## asahi-scripts 20231219.1

=== Makefile ===
PREFIX=/usr/local
SYS_PREFIX=$(PREFIX)
CONFIG_DIR=/etc/default
BIN_DIR=$(PREFIX)/bin
SCRIPTS=asahi-diagnose asahi-fwupdate update-m1n1
ARCH_SCRIPTS=update-grub first-boot
UNITS=first-boot.service
MULTI_USER_WANTS=first-boot.service
DRACUT_CONF_DIR=$(PREFIX)/lib/dracut/dracut.conf.d
DRACUT_MODULES_DIR=$(PREFIX)/lib/dracut/modules.d
BUILD_SCRIPTS=$(addprefix build/,$(SCRIPTS))
BUILD_ARCH_SCRIPTS=$(addprefix build/,$(ARCH_SCRIPTS))

all: $(BUILD_SCRIPTS) $(BUILD_ARCH_SCRIPTS)

build/%: %
	@[ ! -e build ] && mkdir -p build || true
	sed -e s,/etc/default,$(CONFIG_DIR),g "$<" > "$@"
	chmod +x "$@"

clean:
	rm -rf build

install: all
	install -d $(DESTDIR)$(BIN_DIR)/
	install -m0755 -t $(DESTDIR)$(BIN_DIR)/ $(BUILD_SCRIPTS)
	install -dD $(DESTDIR)/etc
	install -m0644 -t $(DESTDIR)/etc etc/m1n1.conf
	install -dD $(DESTDIR)$(PREFIX)/share/asahi-scripts
	install -m0644 -t $(DESTDIR)$(PREFIX)/share/asahi-scripts functions.sh
	install -dD $(DESTDIR)/$(SYS_PREFIX)/lib/firmware/vendor

install-mkinitcpio: install
	install -dD $(DESTDIR)$(PREFIX)/lib/initcpio/install
	install -m0644 -t $(DESTDIR)$(PREFIX)/lib/initcpio/install initcpio/install/asahi
	install -dD $(DESTDIR)$(PREFIX)/lib/initcpio/hooks
	install -m0644 -t $(DESTDIR)$(PREFIX)/lib/initcpio/hooks initcpio/hooks/asahi

install-dracut: install
	install -dD $(DESTDIR)$(DRACUT_CONF_DIR)
	install -m0644 -t $(DESTDIR)$(DRACUT_CONF_DIR) dracut/dracut.conf.d/10-asahi.conf
	install -dD $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware
	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware dracut/modules.d/99asahi-firmware/install-asahi-firmware.sh
	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware dracut/modules.d/99asahi-firmware/load-asahi-firmware.sh
	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware dracut/modules.d/99asahi-firmware/module-setup.sh

install-arch: install install-mkinitcpio
	install -m0755 -t $(DESTDIR)$(BIN_DIR)/ $(BUILD_ARCH_SCRIPTS)
	install -dD $(DESTDIR)$(PREFIX)/lib/systemd/system
	install -dD $(DESTDIR)$(PREFIX)/lib/systemd/system/{multi-user,sysinit}.target.wants
	install -m0644 -t $(DESTDIR)$(PREFIX)/lib/systemd/system $(addprefix systemd/,$(UNITS))
	ln -sf $(addprefix $(PREFIX)/lib/systemd/system/,$(MULTI_USER_WANTS)) \
		$(DESTDIR)$(PREFIX)/lib/systemd/system/multi-user.target.wants/
	install -dD $(DESTDIR)$(PREFIX)/share/libalpm/hooks
	install -m0644 -t $(DESTDIR)$(PREFIX)/share/libalpm/hooks libalpm/hooks/95-m1n1-install.hook

install-fedora: install install-dracut

uninstall:
	rm -f $(addprefix $(DESTDIR)$(BIN_DIR)/,$(SCRIPTS))
	rm -rf $(DESTDIR)$(PREFIX)/share/asahi-scripts

uninstall-mkinitcpio:
	rm -f $(DESTDIR)$(PREFIX)/lib/initcpio/install/asahi
	rm -f $(DESTDIR)$(PREFIX)/lib/initcpio/hooks/asahi

uninstall-dracut:
	rm -f $(DESTDIR)$(DRACUT_CONF_DIR)/10-asahi.conf

uninstall-arch: uninstall-mkinitcpio
	rm -f $(addprefix $(DESTDIR)$(BIN_DIR)/,$(ARCH_SCRIPTS))
	rm -f $(addprefix $(DESTDIR)$(PREFIX)/lib/systemd/system/,$(UNITS))
	rm -f $(addprefix $(DESTDIR)$(PREFIX)/lib/systemd/system/multi-user.target.wants/,$(MULTI_USER_WANTS))
	rm -f $(DESTDIR)$(PREFIX)/share/libalpm/hooks/95-m1n1-install.hook

uninstall-fedora: uninstall-dracut

.PHONY: clean install install-mkinitcpio install-dracut install-arch install-fedora uninstall uninstall-mkinitcpio uninstall-dracut uninstall-arch uninstall-fedora

=== debian/changelog ===
asahi-scripts (20231219.1-1) unstable; urgency=medium

  * New upstream release 20231219.1
  * Rebase patches onto 20231219.1
    - update-m1n1: adopt upstream approach for multiple kernels
    - update-m1n1: make dtb glob more permissive for alternative names
    - initramfs: explicitly load xhci-plat-hcd

 -- Tobias Heider <me@tobhe.de>  Sun, 11 Feb 2024 01:35:07 +0100

=== debian/control ===
Source: asahi-scripts
Section: admin
Priority: optional
Maintainer: Tobias Heider <me@tobhe.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/AsahiLinux/asahi-scripts
Vcs-Browser: https://salsa.debian.org/bananas-team/asahi-scripts
Vcs-Git: https://salsa.debian.org/bananas-team/asahi-scripts.git
Rules-Requires-Root: no

Package: asahi-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Asahi Linux maintenance scripts
 This package contains miscellaneous admin scripts from the Asahi Linux
 reference distro.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install-debian DESTDIR=debian/asahi-scripts

## asahi-scripts 20240623

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,8 @@
 install-dracut: install
 	install -dD $(DESTDIR)$(DRACUT_CONF_DIR)
 	install -m0644 -t $(DESTDIR)$(DRACUT_CONF_DIR) dracut/dracut.conf.d/10-asahi.conf
+	install -dD $(DESTDIR)$(DRACUT_MODULES_DIR)/91kernel-modules-asahi
+	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/91kernel-modules-asahi dracut/modules.d/91kernel-modules-asahi/module-setup.sh
 	install -dD $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware
 	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware dracut/modules.d/99asahi-firmware/install-asahi-firmware.sh
 	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware dracut/modules.d/99asahi-firmware/load-asahi-firmware.sh

=== debian/changelog ===
asahi-scripts (20240623-1) unstable; urgency=medium

  * New upstream release 20240623
  * d/p/0003-debian-Add-initramfs-tools-implementation-for-cpio-f.patch:
    - sync with latest dracut changes

 -- Tobias Heider <me@tobhe.de>  Thu, 27 Jun 2024 14:36:06 +0200

## asahi-scripts 20240822

=== debian/changelog ===
asahi-scripts (20240822-2) unstable; urgency=medium

  * d/postinst: do not call update-initramfs (replaced by automatic trigger)

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 15 Sep 2024 00:19:48 +0200

asahi-scripts (20240822-2~exp1) experimental; urgency=medium

  * d/patches/0003-*: install initramfs-tools files in /usr/share
  * d/conffiles: remove leftover conffiles
  * d/postinst: incorporate asahi-scripts.postinst and add udevadm check

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 13 Sep 2024 01:32:26 +0200

asahi-scripts (20240822-1) unstable; urgency=medium

  * New upstream release 20240822
  * d/p/0001-debian-add-install-debian-target.patch: add install-macsmc-battery
    target to install-debian
  * d/p/0003-debian-Add-initramfs-tools-implementation-for-cpio-f.patch: refresh
  * d/p/0004-debian-Support-asahi-diagnose.patch: support Debian in
    asahi-diagnose
  * d/rules: fix permissions of macsmc-battery systemd and udev files
  * d/asahi-scripts.postinst: add udev trigger for macsmc-battery-charge-control

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 22 Aug 2024 17:12:41 +0200

## asahi-scripts 20250130

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 MULTI_USER_WANTS=first-boot.service
 DRACUT_CONF_DIR=$(PREFIX)/lib/dracut/dracut.conf.d
 DRACUT_MODULES_DIR=$(PREFIX)/lib/dracut/modules.d
+SYSTEMD_UNIT_DIR=$(PREFIX)/lib/systemd/system
+UDEV_RULES_DIR=$(PREFIX)/lib/udev/rules.d
 BUILD_SCRIPTS=$(addprefix build/,$(SCRIPTS))
 BUILD_ARCH_SCRIPTS=$(addprefix build/,$(ARCH_SCRIPTS))
 
@@ -25,7 +27,6 @@
 	install -d $(DESTDIR)$(BIN_DIR)/
 	install -m0755 -t $(DESTDIR)$(BIN_DIR)/ $(BUILD_SCRIPTS)
 	install -dD $(DESTDIR)/etc
-	install -m0644 -t $(DESTDIR)/etc etc/m1n1.conf
 	install -dD $(DESTDIR)$(PREFIX)/share/asahi-scripts
 	install -m0644 -t $(DESTDIR)$(PREFIX)/share/asahi-scripts functions.sh
 	install -dD $(DESTDIR)/$(SYS_PREFIX)/lib/firmware/vendor
@@ -46,7 +47,14 @@
 	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware dracut/modules.d/99asahi-firmware/load-asahi-firmware.sh
 	install -m0755 -t $(DESTDIR)$(DRACUT_MODULES_DIR)/99asahi-firmware dracut/modules.d/99asahi-firmware/module-setup.sh
 
-install-arch: install install-mkinitcpio
+install-macsmc-battery: install
+	install -dD $(DESTDIR)$(SYSTEMD_UNIT_DIR)
+	install -dD $(DESTDIR)$(UDEV_RULES_DIR)
+	install -m0755 -t $(DESTDIR)$(SYSTEMD_UNIT_DIR) macsmc-battery/systemd/macsmc-battery-charge-control-end-threshold.path
+	install -m0755 -t $(DESTDIR)$(SYSTEMD_UNIT_DIR) macsmc-battery/systemd/macsmc-battery-charge-control-end-threshold.service
+	install -m0644 -t $(DESTDIR)$(UDEV_RULES_DIR) macsmc-battery/udev/93-macsmc-battery-charge-control.rules
+
+install-arch: install install-mkinitcpio install-macsmc-battery
 	install -m0755 -t $(DESTDIR)$(BIN_DIR)/ $(BUILD_ARCH_SCRIPTS)
 	install -dD $(DESTDIR)$(PREFIX)/lib/systemd/system
 	install -dD $(DESTDIR)$(PREFIX)/lib/systemd/system/{multi-user,sysinit}.target.wants
@@ -56,7 +64,7 @@
 	install -dD $(DESTDIR)$(PREFIX)/share/libalpm/hooks
 	install -m0644 -t $(DESTDIR)$(PREFIX)/share/libalpm/hooks libalpm/hooks/95-m1n1-install.hook
 
-install-fedora: install install-dracut
+install-fedora: install install-dracut install-macsmc-battery
 
 uninstall:
 	rm -f $(addprefix $(DESTDIR)$(BIN_DIR)/,$(SCRIPTS))
@@ -69,12 +77,17 @@
 uninstall-dracut:
 	rm -f $(DESTDIR)$(DRACUT_CONF_DIR)/10-asahi.conf
 
-uninstall-arch: uninstall-mkinitcpio
+uninstall-macsmc-battery:
+	rm -f $(DESTDIR)$(SYSTEMD_UNIT_DIR)/macsmc-battery-charge-control-end-threshold.path
+	rm -f $(DESTDIR)$(SYSTEMD_UNIT_DIR)/macsmc-battery-charge-control-end-threshold.service
+	rm -f $(DESTDIR)$(UDEV_RULES_DIR)/93-macsmc-battery-charge-control.rules
+
+uninstall-arch: uninstall-mkinitcpio uninstall-macsmc-battery
 	rm -f $(addprefix $(DESTDIR)$(BIN_DIR)/,$(ARCH_SCRIPTS))
 	rm -f $(addprefix $(DESTDIR)$(PREFIX)/lib/systemd/system/,$(UNITS))
 	rm -f $(addprefix $(DESTDIR)$(PREFIX)/lib/systemd/system/multi-user.target.wants/,$(MULTI_USER_WANTS))
 	rm -f $(DESTDIR)$(PREFIX)/share/libalpm/hooks/95-m1n1-install.hook
 
-uninstall-fedora: uninstall-dracut
+uninstall-fedora: uninstall-dracut uninstall-macsmc-battery
 
 .PHONY: clean install install-mkinitcpio install-dracut install-arch install-fedora uninstall uninstall-mkinitcpio uninstall-dracut uninstall-arch uninstall-fedora

=== debian/changelog ===
asahi-scripts (20250130-2ubuntu2) plucky; urgency=medium

  * Fix u-boot path in trigger

 -- Tobias Heider <tobias.heider@canonical.com>  Tue, 01 Apr 2025 12:03:12 +0200

asahi-scripts (20250130-2ubuntu1) plucky; urgency=medium

  * d/p/0005-UBUNTU-adjust-paths-for-ubuntu.patch:
    - Adjust dtb and uboot paths for Ubuntu (LP: #2104922)

 -- Tobias Heider <me@tobhe.de>  Fri, 28 Mar 2025 14:32:22 +0100

asahi-scripts (20250130-2) unstable; urgency=medium

  [ NoisyCoil ]
  * d/p/0004-*-asahi-diagnose.patch: make asahi-diagnose detect triforce-lv2, ...
  * Add the update-m1n1 triggers
  * Use debian's u-boot as primary, others as fallback

 -- Tobias Heider <me@tobhe.de>  Mon, 10 Mar 2025 00:36:24 +0100

asahi-scripts (20250130-1) unstable; urgency=medium

  [ Tobias Heider ]
  * New upstream release 20250130
  * Remove m1n1.conf

  [ NoisyCoil ]
  * d/p/0004-debian-Support-asahi-diagnose.patch:
    - make asahi-diagnose detect asahi-platform* and ubuntu-asahi
    - improve patch title
  * d/patches: refresh
  * initramfs: port latest dracut changes to initramfs

 -- Tobias Heider <me@tobhe.de>  Sat, 01 Feb 2025 12:58:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: asahi-scripts
 Section: admin
 Priority: optional
-Maintainer: Tobias Heider <me@tobhe.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Heider <me@tobhe.de>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2
 Homepage: https://github.com/AsahiLinux/asahi-scripts

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DESTDIR=debian/asahi-scripts

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install-debian DESTDIR=$(DESTDIR)
	chmod 644 $(DESTDIR)/usr/lib/systemd/system/* $(DESTDIR)/usr/lib/udev/rules.d/*

## asahi-scripts 20250713

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 DRACUT_MODULES_DIR=$(PREFIX)/lib/dracut/modules.d
 SYSTEMD_UNIT_DIR=$(PREFIX)/lib/systemd/system
 UDEV_RULES_DIR=$(PREFIX)/lib/udev/rules.d
+UDEV_HWDB_DIR=$(PREFIX)/lib/udev/hwdb.d
 BUILD_SCRIPTS=$(addprefix build/,$(SCRIPTS))
 BUILD_ARCH_SCRIPTS=$(addprefix build/,$(ARCH_SCRIPTS))
 
@@ -54,7 +55,11 @@
 	install -m0755 -t $(DESTDIR)$(SYSTEMD_UNIT_DIR) macsmc-battery/systemd/macsmc-battery-charge-control-end-threshold.service
 	install -m0644 -t $(DESTDIR)$(UDEV_RULES_DIR) macsmc-battery/udev/93-macsmc-battery-charge-control.rules
 
-install-arch: install install-mkinitcpio install-macsmc-battery
+install-udev-hwdb: install
+	install -dD $(DESTDIR)$(UDEV_HWDB_DIR)
+	install -m0644 -t $(DESTDIR)$(UDEV_HWDB_DIR) udev/hwdb.d/65-autosuspend-override-asahi-sdhci.hwdb
+
+install-arch: install install-mkinitcpio install-macsmc-battery install-udev-hwdb
 	install -m0755 -t $(DESTDIR)$(BIN_DIR)/ $(BUILD_ARCH_SCRIPTS)
 	install -dD $(DESTDIR)$(PREFIX)/lib/systemd/system
 	install -dD $(DESTDIR)$(PREFIX)/lib/systemd/system/{multi-user,sysinit}.target.wants
@@ -64,7 +69,7 @@
 	install -dD $(DESTDIR)$(PREFIX)/share/libalpm/hooks
 	install -m0644 -t $(DESTDIR)$(PREFIX)/share/libalpm/hooks libalpm/hooks/95-m1n1-install.hook
 
-install-fedora: install install-dracut install-macsmc-battery
+install-fedora: install install-dracut install-macsmc-battery install-udev-hwdb
 
 uninstall:
 	rm -f $(addprefix $(DESTDIR)$(BIN_DIR)/,$(SCRIPTS))
@@ -82,12 +87,29 @@
 	rm -f $(DESTDIR)$(SYSTEMD_UNIT_DIR)/macsmc-battery-charge-control-end-threshold.service
 	rm -f $(DESTDIR)$(UDEV_RULES_DIR)/93-macsmc-battery-charge-control.rules
 
-uninstall-arch: uninstall-mkinitcpio uninstall-macsmc-battery
+uninstall-udev-hwdb:
+	rm -f $(DESTDIR)$(UDEV_HWDB_DIR)/65-autosuspend-override-asahi-sdhci.hwdb
+
+uninstall-arch: uninstall-mkinitcpio uninstall-macsmc-battery uninstall-udev-hwdb
 	rm -f $(addprefix $(DESTDIR)$(BIN_DIR)/,$(ARCH_SCRIPTS))
 	rm -f $(addprefix $(DESTDIR)$(PREFIX)/lib/systemd/system/,$(UNITS))
 	rm -f $(addprefix $(DESTDIR)$(PREFIX)/lib/systemd/system/multi-user.target.wants/,$(MULTI_USER_WANTS))
 	rm -f $(DESTDIR)$(PREFIX)/share/libalpm/hooks/95-m1n1-install.hook
 
-uninstall-fedora: uninstall-dracut uninstall-macsmc-battery
+uninstall-fedora: uninstall-dracut uninstall-macsmc-battery uninstall-udev-hwdb
 
-.PHONY: clean install install-mkinitcpio install-dracut install-arch install-fedora uninstall uninstall-mkinitcpio uninstall-dracut uninstall-arch uninstall-fedora
+.PHONY: clean \
+        install \
+        install-mkinitcpio \
+        install-dracut \
+        install-macsmc-battery \
+        install-udev-hwdb \
+        install-arch \
+        install-fedora \
+        uninstall \
+        uninstall-mkinitcpio \
+        uninstall-dracut \
+        uninstall-macsmc-battery \
+        uninstall-udev-hwdb \
+        uninstall-arch \
+        uninstall-fedora

=== debian/changelog ===
asahi-scripts (20250713-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2121983). Remaining changes:
    - d/p/0005-UBUNTU-adjust-paths-for-ubuntu.patch:
      + Adjust dtb and uboot paths for Ubuntu (LP: 2104922)
    - Fix u-boot path in trigger

 -- Tobias Heider <me@tobhe.de>  Mon, 08 Sep 2025 22:39:16 +0200

asahi-scripts (20250713-1) unstable; urgency=medium

  [ NoisyCoil ]
  * New upstream release (Closes: #1112262, #1112265)
  * d/patches:
    - add 0000-Backport-asahi-diagnose-drop-tas2764.patch to drop the
      tas2764 quirk checks (Closes: #1112262)
    - add 0000-Backport-update-m1n1-Expand-DTBS.patch to limit the DTBs
      included in the boot binary
    - 0003-debian-Add-initramfs-tools-implementation-for-cpio-f.patch:
      add the apple_nvmem_spmi module to the initramfs explicitly and
      declare simple-mfd-spmi and nvmem_spmi_mfd obsolete, imported
      from corresponding dracut changes (Closes: #1112264)
    - 0004-debian-Support-asahi-diagnose.patch: output APT sources and
      preferences
    - drop 0005-asahi-diagnose-update-doc-link.patch, merged upstream
    - refresh

  [ Tobias Heider ]
  * d/p/*-install-debian-target.patch: Install dracut configs

 -- Tobias Heider <me@tobhe.de>  Thu, 04 Sep 2025 11:33:53 +0200

asahi-scripts (20250130-3) unstable; urgency=medium

  * Team upload.

  [ Tobias Heider ]
  * d/p: fix modprobe path for inclusion in initramfs

  [ NoisyCoil ]
  * Run wrap-and-sort -satb
  * d/control: declare compliance with Standards-Version 4.7.2
  * d/control: set Bananas Team as Maintainer and move tobhe to Uploaders
  * d/copyright: add Upstream-Contact
  * d/postinst: use command -v instead of which to test if udevadm exists
  * Add upstream metadata
  * d/p/0004-*-asahi-diagnose.patch: avoid warning when wireplumber's
    restore-stream is not found
  * d/changelog: split line in previous entry to avoid a lintian warning
  * d/p/0004-*-asahi-diagnose.patch: report more mesa packages
  * d/patches: add 0005-asahi-diagnose-update-doc-link.patch - fixes a
    doc link in asahi-diagnose

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Apr 2025 09:39:19 +0200

=== debian/control ===
Source: asahi-scripts
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
Uploaders:
 Tobias Heider <me@tobhe.de>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://github.com/AsahiLinux/asahi-scripts
Vcs-Browser: https://salsa.debian.org/bananas-team/asahi-scripts
Vcs-Git: https://salsa.debian.org/bananas-team/asahi-scripts.git
Rules-Requires-Root: no

Package: asahi-scripts
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Asahi Linux maintenance scripts
 This package contains miscellaneous admin scripts from the Asahi Linux
 reference distro.

=== debian/watch ===
version=4

opts="searchmode=plain,\
 filenamemangle=s%@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
 https://api.github.com/repos/AsahiLinux/asahi-scripts/tags?per_page=50 \
 https://api.github.com/repos/[^/]+/[^/]+/tarball/[^/]+/[^/]+/@ANY_VERSION@
